%define upstream_name    App-Cpan
%define upstream_version 1.5902

Name:       cpan
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Easily interact with CPAN from the command line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This script provides a command interface (not a shell) to CPAN. At the
moment it uses CPAN.pm to do the work, but it is not a one-shot command
runner for CPAN.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc META.yml Changes META.json
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.590.200-6.mga4
+ Revision: 503503
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.590.200-5.mga3
+ Revision: 348197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.590.200-4.mga3
+ Revision: 315731
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.590.200-3.mga3
+ Revision: 295363
- perl 5.16.1 rebuild

* Wed Jun 06 2012 jquelin <jquelin> 1.590.200-2.mga3
+ Revision: 256190
- fix cpan conflict with perl-devel

* Wed Jun 06 2012 jquelin <jquelin> 1.590.200-1.mga3
+ Revision: 256184
- imported package cpan


* Wed Jun 06 2012 cpan2dist 1.5902-1mga
- initial mageia release, generated with cpan2dist
